Subject: Re: [RFC] [PATCH] PowerPC: Workaround for the 440EP(x)/GR(x) processors identical PVR issue.

From: Valentine Barshak <[email-masked]>
Date: Fri, 26 Oct 2007 17:16:16 +0400

Benjamin Herrenschmidt wrote:
> On Fri, 2007-10-26 at 15:05 +0400, Valentine Barshak wrote:
>> It's not enough. We need to enable APU instruction broadcast for
>> EP(x) 
>> (call __init_fpu_44x in arch/powerpc/kernel/cpu_setup_44x.S).
>> Or do you suggest to or-in FPU feature bit and enable APUIB later,
>> not 
>> in the cpu_setup callback?
> 
> It can be done at any time before the feature fixup. However, on 32
> bits, iirc, the fixup happens very early so it might not be that easy...
> just asking :-) Your patch is allright, we can always find a better way
> to do it later on.

Yes, ftr fix-up is made very early on 32 bits.
I need to workaround the identical pvr issue, since I'm going to submit 
PowerPC 440GRx Rainier board support soon. It's much like Sequoia, just 
no FPU and USB.
Thanks,
Valentine.

> Ben.